Listing all maintenance pages for a domain¶
Sends a GET request to the endpoint /domain/{domainId}/maintenances.
Description¶
The List-Maintenances-By-Domain request returns a list of all maintenance pages configured for all subdomains of a domain of the organisation.
Requirements¶
Values of the request: Domain ID {domainId}
Objects: none
Request¶
To request a list of all maintenance pages of a domain, add the Domain-ID {domainId} to the path of the request. The request supports the following optional query parameters:
| Attributes | Description | Values |
|---|---|---|
search |
Filters the result list by a search term. | string |
page |
The page number of the result list to be returned. | integer |
pageSize |
The number of entries per page. | integer |
language |
The language of the response. | string |
presentAndFuture |
Filters the result to maintenance pages that are currently active or scheduled for the future. |
|
As a result, the user gets one or more objects MaintenanceVO with the requested information.
The object provides the following information:
| Attributes | Description | Values |
|---|---|---|
fqdn |
The subdomain name to which the maintenance page is assigned. | string |
start |
The date as ISO 8601 when the maintenance page starts to be enabled. | string($date-time) |
end |
The date as ISO 8601 until the maintenance page is enabled. | string($date-time) |
content |
The content of the maintenance page as HTML. | string |
contentFrom |
The source of the content of the maintenance page. | string |
active |
The availability of the maintenance page. |
|
defaultPage |
An array of the selected default pages used instead of a custom content page. | array |
vhostId |
The ID of the subdomain to which the maintenance page is assigned. | integer |
permissions |
The permissions of the requesting user for this maintenance page, for example whether editing is allowed. | array |
id |
The ID of the maintenance page. | integer |
modified |
The last modification date in ISO 8601 format. | string($date-time) |
created |
The creation date in ISO 8601 format. | string($date-time) |
comment |
The comment saved for the maintenance page. | string |
Example¶
Example response:
[
{
"search": "string",
"page": 0,
"pageSize": 0,
"language": "string",
"presentAndFuture": true
}
]
Responses¶
The following responses are available:
| STATUS CODE | DESCRIPTION |
|---|---|
| 200 | The request has succeeded. |
| 401 | The request has not succeeded because the user authentication was incorrect. |
| 403 | The request has not succeeded because the user does not have the right permissions. |
| 404 | The request was unsuccessful because the requested resource was not found. |